import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CpMonthlyCardOrder } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface CpMonthlyCardOrderCU extends ConditionUtil<CpMonthlyCardOrderCU> {
    ID: FieldUtil<CpMonthlyCardOrderCU>;
    ORDER_NO: FieldUtil<CpMonthlyCardOrderCU>;
    USER_ID: FieldUtil<CpMonthlyCardOrderCU>;
    TRADE_ID: FieldUtil<CpMonthlyCardOrderCU>;
    PARK_ID: FieldUtil<CpMonthlyCardOrderCU>;
    CAR_PLATE_NUM: FieldUtil<CpMonthlyCardOrderCU>;
    RECHARGE_TYPE: FieldUtil<CpMonthlyCardOrderCU>;
    RULE_NAME: FieldUtil<CpMonthlyCardOrderCU>;
    SENT_AMOUNT: FieldUtil<CpMonthlyCardOrderCU>;
    SENT_TYPE: FieldUtil<CpMonthlyCardOrderCU>;
    RECHARGE_AMOUNT: FieldUtil<CpMonthlyCardOrderCU>;
    RECHARGE_UNIT: FieldUtil<CpMonthlyCardOrderCU>;
    CHARGE_NUMBER: FieldUtil<CpMonthlyCardOrderCU>;
    PAYABLE_AMOUNT: FieldUtil<CpMonthlyCardOrderCU>;
    PAY_STATUS: FieldUtil<CpMonthlyCardOrderCU>;
    BIZ_STATUS: FieldUtil<CpMonthlyCardOrderCU>;
    EXT_JSON: FieldUtil<CpMonthlyCardOrderCU>;
    REMARK: FieldUtil<CpMonthlyCardOrderCU>;
    STATE: FieldUtil<CpMonthlyCardOrderCU>;
    CREATE_TIME: FieldUtil<CpMonthlyCardOrderCU>;
    UPDATE_TIME: FieldUtil<CpMonthlyCardOrderCU>;
    CARD_ID: FieldUtil<CpMonthlyCardOrderCU>;
    CAR_TYPE: FieldUtil<CpMonthlyCardOrderCU>;
    RULE_ID: FieldUtil<CpMonthlyCardOrderCU>;
    PARK_NAME: FieldUtil<CpMonthlyCardOrderCU>;
    ORDER_TITLE: FieldUtil<CpMonthlyCardOrderCU>;
    PARK_ORDER_NO: FieldUtil<CpMonthlyCardOrderCU>;
    OUT_ORDER_NO: FieldUtil<CpMonthlyCardOrderCU>;
    ERROR_INFO: FieldUtil<CpMonthlyCardOrderCU>;
    PAY_TIME: FieldUtil<CpMonthlyCardOrderCU>;
    START_TIME: FieldUtil<CpMonthlyCardOrderCU>;
    END_TIME: FieldUtil<CpMonthlyCardOrderCU>;
}
declare class CpMonthlyCardOrderMU extends TableUtilImpl<CpMonthlyCardOrderCU, CpMonthlyCardOrder> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CpMonthlyCardOrderCU;
    static get ID(): FieldUtil<CpMonthlyCardOrderCU>;
    static get ORDER_NO(): FieldUtil<CpMonthlyCardOrderCU>;
    static get USER_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    static get TRADE_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    static get PARK_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    static get CAR_PLATE_NUM(): FieldUtil<CpMonthlyCardOrderCU>;
    static get RECHARGE_TYPE(): FieldUtil<CpMonthlyCardOrderCU>;
    static get RULE_NAME(): FieldUtil<CpMonthlyCardOrderCU>;
    static get SENT_AMOUNT(): FieldUtil<CpMonthlyCardOrderCU>;
    static get SENT_TYPE(): FieldUtil<CpMonthlyCardOrderCU>;
    static get RECHARGE_AMOUNT(): FieldUtil<CpMonthlyCardOrderCU>;
    static get RECHARGE_UNIT(): FieldUtil<CpMonthlyCardOrderCU>;
    static get CHARGE_NUMBER(): FieldUtil<CpMonthlyCardOrderCU>;
    static get PAYABLE_AMOUNT(): FieldUtil<CpMonthlyCardOrderCU>;
    static get PAY_STATUS(): FieldUtil<CpMonthlyCardOrderCU>;
    static get BIZ_STATUS(): FieldUtil<CpMonthlyCardOrderCU>;
    static get EXT_JSON(): FieldUtil<CpMonthlyCardOrderCU>;
    static get REMARK(): FieldUtil<CpMonthlyCardOrderCU>;
    static get STATE(): FieldUtil<CpMonthlyCardOrderCU>;
    static get CREATE_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    static get UPDATE_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    static get CARD_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    static get CAR_TYPE(): FieldUtil<CpMonthlyCardOrderCU>;
    static get RULE_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    static get PARK_NAME(): FieldUtil<CpMonthlyCardOrderCU>;
    static get ORDER_TITLE(): FieldUtil<CpMonthlyCardOrderCU>;
    static get PARK_ORDER_NO(): FieldUtil<CpMonthlyCardOrderCU>;
    static get OUT_ORDER_NO(): FieldUtil<CpMonthlyCardOrderCU>;
    static get ERROR_INFO(): FieldUtil<CpMonthlyCardOrderCU>;
    static get PAY_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    static get START_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    static get END_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    get ID(): FieldUtil<CpMonthlyCardOrderCU>;
    get ORDER_NO(): FieldUtil<CpMonthlyCardOrderCU>;
    get USER_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    get TRADE_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    get PARK_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    get CAR_PLATE_NUM(): FieldUtil<CpMonthlyCardOrderCU>;
    get RECHARGE_TYPE(): FieldUtil<CpMonthlyCardOrderCU>;
    get RULE_NAME(): FieldUtil<CpMonthlyCardOrderCU>;
    get SENT_AMOUNT(): FieldUtil<CpMonthlyCardOrderCU>;
    get SENT_TYPE(): FieldUtil<CpMonthlyCardOrderCU>;
    get RECHARGE_AMOUNT(): FieldUtil<CpMonthlyCardOrderCU>;
    get RECHARGE_UNIT(): FieldUtil<CpMonthlyCardOrderCU>;
    get CHARGE_NUMBER(): FieldUtil<CpMonthlyCardOrderCU>;
    get PAYABLE_AMOUNT(): FieldUtil<CpMonthlyCardOrderCU>;
    get PAY_STATUS(): FieldUtil<CpMonthlyCardOrderCU>;
    get BIZ_STATUS(): FieldUtil<CpMonthlyCardOrderCU>;
    get EXT_JSON(): FieldUtil<CpMonthlyCardOrderCU>;
    get REMARK(): FieldUtil<CpMonthlyCardOrderCU>;
    get STATE(): FieldUtil<CpMonthlyCardOrderCU>;
    get CREATE_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    get UPDATE_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    get CARD_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    get CAR_TYPE(): FieldUtil<CpMonthlyCardOrderCU>;
    get RULE_ID(): FieldUtil<CpMonthlyCardOrderCU>;
    get PARK_NAME(): FieldUtil<CpMonthlyCardOrderCU>;
    get ORDER_TITLE(): FieldUtil<CpMonthlyCardOrderCU>;
    get PARK_ORDER_NO(): FieldUtil<CpMonthlyCardOrderCU>;
    get OUT_ORDER_NO(): FieldUtil<CpMonthlyCardOrderCU>;
    get ERROR_INFO(): FieldUtil<CpMonthlyCardOrderCU>;
    get PAY_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    get START_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
    get END_TIME(): FieldUtil<CpMonthlyCardOrderCU>;
}
export { CpMonthlyCardOrderMU, CpMonthlyCardOrderCU };
